#
# spec file for package cosmic-edit
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.system76.CosmicEdit
Name:           cosmic-edit
Version:        1.0.0~alpha7+0
Release:        1.0.2.1.sr20250601
Summary:        COSMIC Text Editor
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-edit
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  pkgconfig(xkbcommon)

%description
Text editor for the COSMIC desktop

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/??x??/apps/%{appname}.svg
%{_datadir}/icons/hicolor/???x???/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Thu Apr 24 2025 Richard Rahl <rrahl0@opensuse.org>
- Update to version 1.0.0~alpha7+0:
  * Add patched polling for redox, update dependencies
  * feat: responsive menu
  * i18n(hu): update translation
  * i18n - Update protuguese translations (#331)
  * Update Swedish translation (#332)
  * (i18n) [IT] - Minor fixes (#329)
  * Merge pull request #330 from matei9k/master
  * empty commit to force rebuild
  * Update cosmic-files
  * Update dependencies
  * i18n (pt-BR) Update translations
  * Patch: Use updated onig crate
  * i18n(zh-CN): update zh-CN translation
  * fix(libcosmic): theme subscription
  * i18n(de): add German translation
* Sat Feb 22 2025 rrahl0@opensuse.org
- Update to version 1.0.0~alpha6+0:
  * Update default font
  * i18n(pl): update Polish translation
  * i18n(nl) update Dutch translation
  * chore: upgrade dependencies
  * perf: reduce disk io when updating config values.
  * Update Hungarian translations
  * chore: remove forgotten eprintln.
  * (feat): Text zoom for cosmic-edit.
  * Polish translation for MetaInfo
  * Implement drag scroll
  * Update cosmic_edit.ftl
  * Update Hungarian translations
  * Enable saving read-only/root files via pkexec
  * i18n(nl): update and improve Dutch translation
- switch to obs_scm
* Sat Jan 18 2025 rrahl0@opensuse.org
- Update to version 1.0.0~alpha5+4:
  * Fix closing projects when open project button is shown, fixes #41
  * Don't capture ctrl+tab in text box, fixes #123
  * Implement revert all changes, fixes #128
  * Remove unimplemented spell-check menu item, fixes #300
  * Update dependencies
  * perf: optimized cosmic-freedesktop-icons
  * Update dependencies
* Fri Jan 10 2025 rrahl0@opensuse.org
- Update to version 1.0.0~alpha5+1:
  * Update dependencies
  * Update cosmic_edit.ftl (#294)
  * improve Dutch translation (#293)
  * Improve Dutch translation
  * Update cosmic_edit.ftl
  * Update cosmic_edit.ftl
  * Update cosmic_edit.ftl
  * Fix clicking outside textbox to unfocus
  * Improve text search
  * Added Irish translation
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 1.0.0~alpha4+0:
  * Update dependencies
  * i18n(de): add German translation
  * fix(context menu): use radius from theme
  * Update cosmic_edit.ftl (French)
  * i18n(ar): add Arabic translation
  * Update libcosmic/iced
* Fri Nov  1 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha3:
  * Fix clicking directories in nav bar in condensed mode
  * fix(l18n): Ensure COSMIC is properly cased
  * update dependencies
  * update translations
* Wed Sep 25 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha2:
  * Use patch for filetime
  * Update depdencies
  * Updated translations
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha1:
  * double click to maximize window
  * add x11 wgpu detection for fixing NVIDIA desktops
- enable leap (thanks to vyvir)
* Wed Mar 13 2024 Richard Rahl <rrahl0@proton.me>
- inital packaging
